## dzl-graph-line-renderer

dzl-graph-line-renderer

## Functions

DzlGraphLineRenderer * | dzl_graph_view_line_renderer_new ()
void | dzl_graph_view_line_renderer_set_stroke_color ()
void | dzl_graph_view_line_renderer_set_stroke_color_rgba ()
const GdkRGBA * | dzl_graph_view_line_renderer_get_stroke_color_rgba ()

## Properties

guint | column | Read / Write
double | line-width | Read / Write
char * | stroke-color | Read / Write
GdkRGBA * | stroke-color-rgba | Read / Write

## Types and Values

#define | DZL_TYPE_GRAPH_LINE_RENDERER
| DzlGraphLineRenderer

## Object Hierarchy

        GObject
        ╰── DzlGraphLineRenderer

## Implemented Interfaces

DzlGraphLineRenderer implements DzlGraphRenderer.

## Description

## Functions

### dzl_graph_view_line_renderer_new ()

    DzlGraphLineRenderer *
    dzl_graph_view_line_renderer_new (void);

### dzl_graph_view_line_renderer_set_stroke_color ()

    void
    dzl_graph_view_line_renderer_set_stroke_color
                                   (DzlGraphLineRenderer *self,
                                    const gchar *stroke_color);

### dzl_graph_view_line_renderer_set_stroke_color_rgba ()

    void
    dzl_graph_view_line_renderer_set_stroke_color_rgba
                                   (DzlGraphLineRenderer *self,
                                    const GdkRGBA *stroke_color_rgba);

### dzl_graph_view_line_renderer_get_stroke_color_rgba ()

    const GdkRGBA *
    dzl_graph_view_line_renderer_get_stroke_color_rgba
                                   (DzlGraphLineRenderer *self);

## Types and Values

### DZL_TYPE_GRAPH_LINE_RENDERER

    #define DZL_TYPE_GRAPH_LINE_RENDERER (dzl_graph_view_line_renderer_get_type())

### DzlGraphLineRenderer

    typedef struct _DzlGraphLineRenderer DzlGraphLineRenderer;

## Property Details

### The `“column”` property

      “column”                   guint

Column.

Owner: DzlGraphLineRenderer

Flags: Read / Write

Default value: 0

### The `“line-width”` property

      “line-width”               double

Line Width.

Owner: DzlGraphLineRenderer

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“stroke-color”` property

      “stroke-color”             char *

Stroke Color.

Owner: DzlGraphLineRenderer

Flags: Read / Write

Default value: NULL

### The `“stroke-color-rgba”` property

      “stroke-color-rgba”        GdkRGBA *

Stroke Color RGBA.

Owner: DzlGraphLineRenderer

Flags: Read / Write